import { AfterViewInit, EventEmitter, Injector, NgZone, OnChanges, OnDestroy, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { CreateHotToastRef, HotToastClose, Toast, ToastConfig } from '../../hot-toast.model';
import * as i0 from "@angular/core";
export declare class HotToastComponent implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    private injector;
    private renderer;
    private ngZone;
    toast: Toast<unknown>;
    offset: number;
    defaultConfig: ToastConfig;
    toastRef: CreateHotToastRef<unknown>;
    private _toastsAfter;
    get toastsAfter(): number;
    set toastsAfter(value: number);
    isShowingAllToasts: boolean;
    height: EventEmitter<number>;
    beforeClosed: EventEmitter<any>;
    afterClosed: EventEmitter<HotToastClose>;
    showAllToasts: EventEmitter<boolean>;
    private toastBarBase;
    isManualClose: boolean;
    context: Record<string, any>;
    toastComponentInjector: Injector;
    private unlisteners;
    private softClosed;
    constructor(injector: Injector, renderer: Renderer2, ngZone: NgZone);
    get toastBarBaseHeight(): number;
    get scale(): number;
    get translateY(): string;
    get exitAnimationDelay(): string;
    get top(): boolean;
    get containerPositionStyle(): {
        left: number;
        right?: undefined;
        justifyContent?: undefined;
        top: number;
        bottom?: undefined;
        transform: string;
    } | {
        right: number;
        left?: undefined;
        justifyContent?: undefined;
        top: number;
        bottom?: undefined;
        transform: string;
    } | {
        left: number;
        right: number;
        justifyContent: string;
        top: number;
        bottom?: undefined;
        transform: string;
    } | {
        left: number;
        right?: undefined;
        justifyContent?: undefined;
        bottom: number;
        top?: undefined;
        transform: string;
    } | {
        right: number;
        left?: undefined;
        justifyContent?: undefined;
        bottom: number;
        top?: undefined;
        transform: string;
    } | {
        left: number;
        right: number;
        justifyContent: string;
        bottom: number;
        top?: undefined;
        transform: string;
    };
    get toastBarBaseStyles(): any;
    get isIconString(): boolean;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    softClose(): void;
    softOpen(): void;
    close(): void;
    handleMouseEnter(): void;
    handleMouseLeave(): void;
    ngOnDestroy(): void;
    private isExitAnimation;
    private setToastAttributes;
    static ɵfac: i0.ɵɵFactoryDeclaration<HotToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HotToastComponent, "hot-toast", never, { "toast": { "alias": "toast"; "required": false; }; "offset": { "alias": "offset"; "required": false; }; "defaultConfig": { "alias": "defaultConfig"; "required": false; }; "toastRef": { "alias": "toastRef"; "required": false; }; "toastsAfter": { "alias": "toastsAfter"; "required": false; }; "isShowingAllToasts": { "alias": "isShowingAllToasts"; "required": false; }; }, { "height": "height"; "beforeClosed": "beforeClosed"; "afterClosed": "afterClosed"; "showAllToasts": "showAllToasts"; }, never, never, true, never>;
}
